Package org.eclipse.microprofile.openapi.apps.petstore

## Class PetStoreApp

- java.lang.Object
- - jakarta.ws.rs.core.Application
  - - org.eclipse.microprofile.openapi.apps.petstore.PetStoreApp

    @ApplicationPath("/")
    public class PetStoreApp
    extends jakarta.ws.rs.core.Application

### Constructor Summary

Constructors
`PetStoreApp()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<Object>` `getSingletons()`

### Methods inherited from class jakarta.ws.rs.core.Application

`getClasses, getProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PetStoreApp

    public PetStoreApp()

### Method Detail

#### getSingletons

    public Set<Object> getSingletons()

Overrides:
  `getSingletons` in class `jakarta.ws.rs.core.Application`